﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors;
using Infragistics.Controls.Editors.Primitives;

namespace CustomComboEditorColumn
{
    public class CustomXamCombooEditor : XamComboEditor
    {
        private SpecializedTextBox m_TextBox;

        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();

            m_TextBox = RelationshipHelper.GetChildByName(this, "TextBoxPresenter") as SpecializedTextBox;
        }

        public static readonly DependencyProperty TextProperty = DependencyProperty.Register("Text", typeof(string), typeof(CustomXamCombooEditor), null);

        public string Text
        {
            get
            {
                return (string) m_TextBox.GetValue(TextBox.TextProperty);
            }
            set
            {
                m_TextBox.SetValue(TextBox.TextProperty, value);
            }
        }
    }
}
